Kā instalēt OptiFine ar Minecraft Forge for Minecraft 1.8

Nesen es instalēju Apache un vēlāk arī PHP.

Kad pārlūkoju http://localhost/index.html tas parāda noklusējuma Apache lapu "tā darbojas".

Bet, kad mēģinu skriet http://localhost/phpinfo.php to sāk lejupielādēt, nevis palaist PHP kodu

  • Mana Apache versija 2.2
  • PHP versija 5.2.1

  • 1 Mēs nevaram redzēt jūsu vietējo hostu :)

Iespējams, serveris neatpazīst skriptu kā izpildāmu, un tāpēc piedāvā to kā lejupielādējamu failu.

Šīm rindām jābūt jūsu Apache konfigurācijā. Ņemiet vērā, ka, iespējams, būs jāmaina ceļš .so moduļi, atkarībā no konfigurācijas:

*nix:

# -- if you're using PHP 5, uncomment this line to activate it LoadModule php5_module libexec/libphp5.so # -- if you're using PHP 4, uncomment this line to activate it #LoadModule php4_module libexec/libphp4.so AddType application/x-httpd-php .php .phtml AddType application/x-httpd-php-source .phps 


Windows:

# -- assuming PHP 4 LoadModule php5_module 'c:/php/php5apache2_2.dll' AddType application/x-httpd-php .php .phtml AddType application/x-httpd-php-source .phps 

Restartējiet Apache pakalpojumu un PHP jāielādē Apache, lai tas darbotos lieliski.

Varat arī vēlēties pārliecināties par savu php.ini fails atrodas tur, kur vēlaties, kam parasti vajadzētu atrasties vietā, kur esat instalējis PHP, piem. c:\php. Lai to izdarītu, Apache konfigurācijas failā jāpievieno šāda direktīva:

# configure the path to php.ini PHPIniDir 'C:\php' 
  • pievienoja šīs rindas un restartēja arī serveri ... bet joprojām nav izmaiņu ...
  • 2 Ja izmantojat Windows datoru, Sinan LoadModule līnijas nedarbosies, jo jums būs jānorāda uz DLL failiem. Turklāt katram Sinanam jāatceļ viena no rindām. Veiksmi!

Personīgi es izmantoju wampserver (wampserver.com/lv). Tāpat kā Breds paziņoja, dodieties komplektā ar šādu paketi, nevis šo, neatkarīgi instalētu komponentu vietā.
Dažas nedēļas biju mēģinājis bez panākumiem patstāvīgi instalēt sadaļu "A.M.P" savā WAMP kaudzē. Izmantojot fasēto WAMP paketi (vai Breda XAMPP), jums nevajadzētu pavadīt laiku vispār.

Tas nozīmē, ka PHP nebija pareizi konfigurēts. Es pieņemu, ka jūs patstāvīgi instalējāt Apache un PHP.

Ietaupiet sev nepatikšanas un vienkārši instalējiet kaut ko līdzīgu XAMPP. Vienkārši ir vienkārši pielīmēt fasētu saišķi, ja vien jums nav ļoti īpašu vajadzību.

strādāja par jums: Charles Robertson | Vēlies ar mums sazināties?